summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Mario Preksavec <mario at slackware dot hr>2016-11-28 10:36:38 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-11-28 10:36:38 +0700
commit94e027649487f31323836744390be5c5a692217c (patch)
tree1e1a5d4b0d8209387c6e30462b700a5b166f2dc2 /network
parent4b07c182ffde6eb2ac9bbc40f319b74ced178924 (diff)
downloadslackbuilds-94e027649487f31323836744390be5c5a692217c.tar.gz
slackbuilds-94e027649487f31323836744390be5c5a692217c.tar.xz
network/c-toxcore: Added (the future of online communication).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/c-toxcore/README14
-rw-r--r--network/c-toxcore/c-toxcore.SlackBuild116
-rw-r--r--network/c-toxcore/c-toxcore.info10
-rw-r--r--network/c-toxcore/slack-desc19
4 files changed, 159 insertions, 0 deletions
diff --git a/network/c-toxcore/README b/network/c-toxcore/README
new file mode 100644
index 0000000000..a0c20c0ba8
--- /dev/null
+++ b/network/c-toxcore/README
@@ -0,0 +1,14 @@
+Tox is a free (as in liberty and price) peer to peer, distributed, multimedia
+messenger. Tox can provide a superior instant messaging experience than current
+market offerings by using existing technologies such as dispersed networking
+and strong cryptography. Files can be shared as fast as you and your partner's
+Internet connection allows, audio calls are instantaneous, and there are no
+arbitrary limits to how many people you can have in a group conversation.
+
+TokTok/c-toxcore is a non-hostile fork of the original irungentoo/toxcore, and
+most clients are in the process of switching.
+
+Additional libconfig dependency is needed for tox-bootstrapd daemon,
+together with:
+
+ DAEMON=yes ./c-toxcore.SlackBuild
diff --git a/network/c-toxcore/c-toxcore.SlackBuild b/network/c-toxcore/c-toxcore.SlackBuild
new file mode 100644
index 0000000000..cf4778dd8d
--- /dev/null
+++ b/network/c-toxcore/c-toxcore.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/sh
+
+# Slackware build script for c-toxcore
+
+# Copyright 2015, 2016 Mario Preksavec, Zagreb, Croatia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=c-toxcore
+VERSION=${VERSION:-20161124_d6bad90}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+DAEMON=${DAEMON:-no}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+case $DAEMON in
+ yes) ENABLE_DAEMON="--enable-daemon" ;;
+ *) ENABLE_DAEMON="--disable-daemon" ;;
+esac
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ $ENABLE_DAEMON \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+if [ "$DAEMON" != "no" ]; then
+ mkdir -p $PKG/usr/sbin
+ mv $PKG/usr/bin/tox-bootstrapd $PKG/usr/sbin
+ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/tox-bootstrapd
+ cp -a other/bootstrap_daemon/*.{md,conf,service,sh} \
+ $PKG/usr/doc/$PRGNAM-$VERSION/tox-bootstrapd
+fi
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL.md README.md docs $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/c-toxcore/c-toxcore.info b/network/c-toxcore/c-toxcore.info
new file mode 100644
index 0000000000..e030a83320
--- /dev/null
+++ b/network/c-toxcore/c-toxcore.info
@@ -0,0 +1,10 @@
+PRGNAM="c-toxcore"
+VERSION="20161124_d6bad90"
+HOMEPAGE="http://tox.chat/"
+DOWNLOAD="http://mirror.slackware.hr/sources/c-toxcore/c-toxcore-20161124_d6bad90.tar.bz2"
+MD5SUM="b4df7b40f84540d6f93c9e4ca3516b73"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libsodium opus"
+MAINTAINER="Mario Preksavec"
+EMAIL="mario at slackware dot hr"
diff --git a/network/c-toxcore/slack-desc b/network/c-toxcore/slack-desc
new file mode 100644
index 0000000000..310ed97ed1
--- /dev/null
+++ b/network/c-toxcore/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+c-toxcore: c-toxcore (the future of online communication)
+c-toxcore:
+c-toxcore: Tox is a free (as in liberty and price) peer to peer, distributed,
+c-toxcore: multimedia messenger. Tox can provide a superior instant messaging
+c-toxcore: experience than current market offerings by using existing
+c-toxcore: technologies such as dispersed networking and strong cryptography.
+c-toxcore:
+c-toxcore: Homepage: http://tox.chat/
+c-toxcore:
+c-toxcore:
+c-toxcore: